MeiroDocs

Alerts

Alerts resource.

Section: Group Alerts. Base URL: https://api.instance_name.meiro.io/.

Alerts [/alerts{?source}]

Alerts resource.

Retrieve alerts [GET]

  • Parameters

    • source: SDK (string, optional) - narrow list by source
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (array[Alert])

Create an Alert [POST]

  • Attributes (Alert create)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

    • Attributes (Alert)
  • Response 400 (application/json)

{
    "message": "Invalid alert filters",
    "problems": [
        {
            "message": "(psycopg2.errors.InvalidTextRepresentation) malformed array literal: \"a~~.......4\"\nLINE 1: ...M events.events  WHERE (events.events.payload #>> 'a~~.........\n                                                             ^\nDETAIL:  Array value must start with \"{\" or dimension information.\n\n[SQL: EXPLAIN SELECT   FROM events.events  WHERE (events.events.payload #>> 'a~~.......4') ~* 'a~~.......4']\n(Background on this error at: http://sqlalche.me/e/13/9h9h)",
            "index": 1
        }
    ]
}

Modify an Alert [PATCH /alerts/{id}]

  • Attributes (Alert modify)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (Alert)
  • Response 400 (application/json)

{
    "message": "Invalid alert filters",
    "problems": [
        {
            "message": "(psycopg2.errors.InvalidTextRepresentation) malformed array literal: \"a~~.......4\"\nLINE 1: ...M events.events  WHERE (events.events.payload #>> 'a~~.........\n                                                             ^\nDETAIL:  Array value must start with \"{\" or dimension information.\n\n[SQL: EXPLAIN SELECT   FROM events.events  WHERE (events.events.payload #>> 'a~~.......4') ~* 'a~~.......4']\n(Background on this error at: http://sqlalche.me/e/13/9h9h)",
            "index": 1
        }
    ]
}

Delete an Alert [DELETE /alerts/{id}]

  • Request (application/json)

  • Response 200 (application/json)

{
    "message": "OK"
}

On this page